{% macro list(certificateCategories) %}

    {% import 'SyliusResourceBundle:Macros:buttons.html.twig' as buttons %}
    {% import 'SyliusWebBundle:Backend/Macros:alerts.html.twig' as alerts %}

    {% if certificateCategories|length > 0 %}
        <table class="sylius-products-table table table-bordered">
            <thead>
            <tr>
                <th class="id">{{ sylius_resource_sort('id', '#id') }}</th>
                <th class="info">{{ sylius_resource_sort('name', 'Name') }}</th>
                <th class="info">{{ sylius_resource_sort('active', 'Active') }}</th>
                <th class="updated-at">{{ sylius_resource_sort('locale', 'Locale') }}</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for certificateCategory in certificateCategories %}
                <tr id="{{ certificateCategory.id }}">
                    <td class="id">
                        {{ certificateCategory.id }}
                    </td>
                    <td class="info">
                        <div class="media">
                            <a href="{{ path('elbotrade_certificate_category_backend_show', {'id': certificateCategory.id}) }}" class="pull-left"
                               title="Details">
                                {#{% if certificateCategory.pdf %}#}
                                    {#<a href="{% path certificateCategory.pdf, 'reference'%}">{{ certificateCategory.name }}</a>#}
                                {#{% else %}#}
                                    {#<img src="http://placehold.it/50x40" alt="" class="imgmedia-object" />#}
                                {#{% endif %}#}
                            </a>
                            <div class="media-body">
                                <h5 class="media-heading">
                                    <a class="name"
                                       href="{{ path('elbotrade_certificate_category_backend_show', {'id': certificateCategory.id}) }}"
                                       title="Details">
                                        {{ certificateCategory.name }}
                                    </a>
                                </h5>
                            </div>
                        </div>
                    </td>
                    <td class="info">
                        <em>{% if certificateCategory.active == true %}<span class="glyphicon glyphicon-ok"></span>{% else %}<span class="glyphicon glyphicon-remove"></span>{% endif %}</em>
                    </td>
                    <td class="info">
                        <em>{{ certificateCategory.locale }}</em>
                    </td>
                    <td class="center-text">
                        {{ buttons.edit(path('elbotrade_certificate_category_backend_update', {'id': certificateCategory.id})) }}
                        {{ buttons.delete(path('elbotrade_certificate_category_backend_delete', {'id': certificateCategory.id})) }}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% else %}
        {{ alerts.info('Žádny katalog k zobrazení.') }}
    {% endif %}

{% endmacro %}
